%define fname ipython_genutils	

Name:		python-%{fname}
Summary:	Vestigial utilities from IPython
Version:	0.1.0
Release:	%mkrel 9
Source0:	http://pypi.python.org/packages/source/i/%{fname}/%{fname}-%{version}.tar.gz
URL:		http://ipython.org/
Group:		Development/Python
License:	BSD
BuildArch:	noarch
BuildRequires:  python3 >= 3.8
BuildRequires:  python3dist(setuptools)

%description
Pretend this doesn’t exist. Nobody should use it.
Only there as a dependency for ipython.

%package -n python3-%{fname}
Summary:	Vestigial utilities from IPython
Group:		Development/Python

%description -n python3-%{fname}
Pretend this doesn’t exist. Nobody should use it.
Only there as a dependency for ipython.

%prep
%autosetup -p1 -n %{fname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{fname}
%doc README.md
%{python3_sitelib}/*egg-info
%{python3_sitelib}/%{fname}



%changelog
* Thu Jul 23 2020 ovitters <ovitters> 0.1.0-9.mga8
+ Revision: 1608276
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 0.1.0-8.mga8
+ Revision: 1531572
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 0.1.0-7.mga8
+ Revision: 1440455
- explicitely BR python >= 3.8 :-(

* Fri Sep 13 2019 tv <tv> 0.1.0-6.mga8
+ Revision: 1440447
- really rebuild for python-3.8

* Wed Sep 11 2019 tv <tv> 0.1.0-5.mga8
+ Revision: 1439674
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 tv <tv> 0.1.0-4.mga7
+ Revision: 1350504
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.1.0-3.mga7
+ Revision: 1289053
- Mageia 7 Mass Rebuild

* Fri Aug 04 2017 tv <tv> 0.1.0-2.mga7
+ Revision: 1134585
- rebuild for new python

* Sat Apr 16 2016 philippem <philippem> 0.1.0-1.mga6
+ Revision: 1003025
- imported package python-ipython_genutils

